package com.aucma.dms.service;

import com.aucma.dms.domain.DmsRepairRecord;

import java.util.List;

/**
 * 维修记录Service接口
 * 
 * @author Cascade AI
 * @date 2025-01-10
 */
public interface IDmsRepairRecordService {
    
    /**
     * 查询维修记录
     * 
     * @param recordId 维修记录主键
     * @return 维修记录
     */
    DmsRepairRecord selectDmsRepairRecordByRecordId(Long recordId);

    /**
     * 查询维修记录列表
     * 
     * @param dmsRepairRecord 维修记录
     * @return 维修记录集合
     */
    List<DmsRepairRecord> selectDmsRepairRecordList(DmsRepairRecord dmsRepairRecord);

    /**
     * 新增维修记录
     * 
     * @param dmsRepairRecord 维修记录
     * @return 结果
     */
    int insertDmsRepairRecord(DmsRepairRecord dmsRepairRecord);

    /**
     * 修改维修记录
     * 
     * @param dmsRepairRecord 维修记录
     * @return 结果
     */
    int updateDmsRepairRecord(DmsRepairRecord dmsRepairRecord);

    /**
     * 批量删除维修记录
     * 
     * @param recordIds 需要删除的维修记录主键集合
     * @return 结果
     */
    int deleteDmsRepairRecordByRecordIds(Long[] recordIds);

    /**
     * 删除维修记录信息
     * 
     * @param recordId 维修记录主键
     * @return 结果
     */
    int deleteDmsRepairRecordByRecordId(Long recordId);

    /**
     * 存档维修记录
     * 
     * @param recordIds 需要存档的维修记录主键集合
     * @return 结果
     */
    int archiveRepairRecords(Long[] recordIds);

    /**
     * 根据设备ID查询维修历史
     * 
     * @param deviceId 设备ID
     * @return 维修记录集合
     */
    List<DmsRepairRecord> selectRepairHistoryByDeviceId(Long deviceId);
}
